// ---------------------------------------------------------------------------
// Created by F. Malpartida on 9/9/12.
// Copyright 2011 - Under creative commons license 3.0:
//        Attribution-NonCommercial-ShareAlike CC BY-NC-SA
//        http://www.electrofunltd.com
// 
// This software is furnished "as is", without technical support, and with no 
// warranty, express or implied, as to its usefulness for any purpose.
//
// Thread Safe: No
// Extendable: No
//
// @file mmi.h
// Main application MMI header files. 
// 
// @brief 
// Requires New LiquidCrystal library to be installed in system:
//    https://bitbucket.org/fmalpartida/new-liquidcrystal/wiki/Home
//
//
// @author F. Malpartida
// ---------------------------------------------------------------------------
#ifndef _MMI_H_
#define _MMI_H_
#include "configMe.h"

#ifdef _MMI_ENABLED_
#include <LCD.h>
#include "tempCntrl.h"
#include "stepperCntrl.h"

class mmi 
{
public:
   mmi ( void );
   void init ( LCD *lcd, tempCntrl *temperatureController, stepperCntrl *controller );
   void display ( void );

private:
   LCD *_lcd;
   tempCntrl *_tempCont; 
   stepperCntrl *_machCntrl;
   bool _init;
};

#endif // _MMI_ENABLED_
#endif
