// ---------------------------------------------------------------------------
// Created by F. Malpartida on 9/9/12.
// Copyright 2011 - Under creative commons license 3.0:
//        Attribution-NonCommercial-ShareAlike CC BY-NC-SA
//        http://www.electrofunltd.com
// 
// This software is furnished "as is", without technical support, and with no 
// warranty, express or implied, as to its usefulness for any purpose.
//
// Thread Safe: No
// Extendable: No
//
// @file processGcode.h
// Main Gcode parser entry point.
// 
// @brief CNC gcode interpreter for 3 axis CNC machine. Configured for ELFSHL1
//     3 axis stepper motor driver shield.
//
// Acknowledgements:
// Inspired on the work of Carlos guilarte y diego colonnello (Txapuzas CNC).
//
// @author F. Malpartida
// ---------------------------------------------------------------------------
#ifndef _PROCESS_GCODE_H_
#define _PROCESS_GCODE_H_
#include "configMe.h"
#include "stepperCntrl.h"

void initGcodeProcessor ( stepperCntrl *iController );
void processGcode ( void );
static void process_string(char instruction[], int size);
static bool has_command(char key, char instruction[], int string_size);
static double search_string(char key, char instruction[], int string_size);

#endif