// ---------------------------------------------------------------------------
// Created by Francisco Malpartida on 16/04/11.
// Copyright 2011 - Under creative commons license 3.0:
//        Attribution-NonCommercial-ShareAlike CC BY-NC-SA
//        http://www.electrofunltd.com
//
// This software is furnished "as is", without technical support, and with no 
// warranty, express or implied, as to its usefulness for any purpose.
//
// Thread Safe: No
// Extendable: No
//
// @file stepper.h
// File description here
// 
// @brief Stepper driver
//
// @author F. Malpartida
// ---------------------------------------------------------------------------
#ifndef _STEPPER_H_
#define _STEPPER_H_
#include <stdint.h>
#include "configMe.h"

// Stepper class definition
// ------------------------
class stepper
{
public:
   typedef enum { LEFT = 0, RIGHT = 1 } t_dir;
   
   stepper ( uint8_t stepPin, uint8_t dirPin, uint8_t enPin, uint8_t pulseW );
   void     step ( void );
   void     runStep ( void );
   void     setDirection ( t_dir direction );
   void     setSteps ( uint16_t numSteps );
   void     enable ( void );
   void     disable ( void );
   uint16_t getSteps ( void );
   
   
private:
   void calculateMove ( void );
   
   uint8_t  _stepPin;
   uint8_t  _dirPin;
   uint8_t  _enPin;
   uint8_t  _pulseW;    // pulse width in useconds
   uint16_t _numSteps;
   
};

#endif
