// ---------------------------------------------------------------------------
// Created by F. Malpartida on 9/9/12.
// Copyright 2011 - Under creative commons license 3.0:
//        Attribution-NonCommercial-ShareAlike CC BY-NC-SA
//        http://www.electrofunltd.com
// 
// This software is furnished "as is", without technical support, and with no 
// warranty, express or implied, as to its usefulness for any purpose.
//
// Thread Safe: No
// Extendable: No
//
// @file tempCntrl.h
// Main temperature controller and fan interface. Senses temperature from LM75B
// and controls the fan speed to cool the electronics.
// Requires thermistor library.
// 
// @brief 
//
//
// @author F. Malpartida
// ---------------------------------------------------------------------------
#ifndef _TEMP_CNTRL_H_
#define _TEMP_CNTRL_H_
#include "configMe.h"

#ifdef _TEMP_CONTROL_ENABLED_
#include <stdint.h>
#include <thermistor.h>
#include <lm75.h>

class tempCntrl 
{
public:
   tempCntrl ( uint8_t fanPin, uint8_t sensorAddr );
   void init ( void );
   void controlTemp ( void );
   double tempGet ( void );
   uint8_t speedGet ( void );
   
private:
      
   void fanControl ( double avrTemp );
   uint8_t    _fanPin;
   lm75       _sensor;
   uint8_t    _sensorAddr;
   double     _filtTemp;
   uint8_t    _speed;
};

#endif // _TEMP_CONTROL_ENABLED_

#endif